> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pleo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add members to a Team

> Use this endpoint to add one or more Employees to a Team. An Employee can only be an active member of one Team at a time, so adding an Employee who is already a member of this Team or a different Team does not move them; it returns a per-employee failure with error 'EMPLOYEE_ALREADY_IN_TEAM' for that Employee.



## OpenAPI

````yaml post /v1/teams/{teamId}/members
openapi: 3.0.1
info:
  title: Oberon API
  description: Oberon open api definitions
  termsOfService: https://pleo.io/terms/
  contact:
    email: apiteam@pleo.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 52.35.0
servers:
  - url: https://external.pleo.io
    description: Production server
  - url: https://external.staging.pleo.io
    description: Staging server
security:
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: SCIM
    description: >-
      SCIM-compatible User API. The SCIM (System for Cross-domain Identity

      Management) specification standardises a schema for user representation
      and

      provides a RESTful API to create, update, retrieve and delete user
      identities.

      <br> In particular, this API enables third-party systems to efficiently
      manage

      user provisioning and de-provisioning.
       <br> API available at `/scim/v2`
    externalDocs:
      description: Read more about SCIM
      url: https://datatracker.ietf.org/doc/html/rfc7644
  - name: Employees
    description: |-
      The Employees API enables you to search for employee records that
      are managed in Pleo. You can perform the following: 
       - Search for multiple
      employees 
       - Search for a specific employee record by employee ID
  - name: Companies
    description: >-
      The Companies API enables you to search for company records that are
      managed in Pleo. You can perform the following: 
       - Search for multiple companies
       - Search for a specific company record by company ID
  - name: Teams
    description: >-
      The Teams API enables you to manage teams within a company or organisation
      that are managed in Pleo. You can perform the following: 
       - Search for teams
       - Get a team by ID
       - Create a team
       - Partially update a team
       - Delete a team
       - Add members to a team
       - Remove a member from a team
paths:
  /v1/teams/{teamId}/members:
    post:
      tags:
        - Teams
      summary: Add members to a Team
      description: >-
        Use this endpoint to add one or more Employees to a Team. An Employee
        can only be an active member of one Team at a time, so adding an
        Employee who is already a member of this Team or a different Team does
        not move them; it returns a per-employee failure with error
        'EMPLOYEE_ALREADY_IN_TEAM' for that Employee.
      operationId: Add Team Members
      parameters:
        - name: teamId
          in: path
          description: Enter the team ID.
          required: true
          style: simple
          explode: false
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json;charset=UTF-8:
            schema:
              $ref: '#/components/schemas/ExternalTeamAddMembersRequest'
      responses:
        '200':
          description: Members were added to the team
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: >-
                  #/components/schemas/DataResponseListExternalTeamMemberResponseModel
        '403':
          description: 'Forbidden: User lacks the necessary permissions'
        '404':
          description: 'Not found: Team with given ID not found'
components:
  schemas:
    ExternalTeamAddMembersRequest:
      required:
        - employeeIds
      type: object
      properties:
        employeeIds:
          type: array
          description: IDs of the Employees to add to the Team.
          items:
            type: string
            description: IDs of the Employees to add to the Team.
            format: uuid
    DataResponseListExternalTeamMemberResponseModel:
      required:
        - data
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ExternalTeamMemberResponseModel'
    ExternalTeamMemberResponseModel:
      required:
        - employeeId
        - success
      type: object
      properties:
        employeeId:
          type: string
        error:
          type: string
        success:
          type: boolean
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        JWT Bearer token authentication. Include the token in the Authorization
        header as: `Bearer <token>`
      scheme: bearer
      bearerFormat: JWT
    basicAuth:
      type: http
      description: >-
        Basic HTTP authentication using API key. Use your API key as the
        username and leave the password empty. The credentials will be Base64
        encoded automatically.
      scheme: basic

````